### Method

# Gtk AspectFrameset_obey_child

#### Declaration [src]

    void
    gtk_aspect_frame_set_obey_child (
      GtkAspectFrame* self,
      gboolean obey_child
    )

#### Description [src]

Sets whether the aspect ratio of the child’s size request should override the set aspect ratio of the `GtkAspectFrame`.

Sets property | `Gtk.AspectFrame:obey-child`
org.gtk.Method.set_propery | obey-child

#### Parameters

`obey_child`

  Type: `gboolean`

  If `TRUE`, `ratio` is ignored, and the aspect ratio is taken from the requisition of the child.